psychopy.org | Reference | Downloads | Github

Microphone for recording answers

OS (macOS Catalina 10.15.3)
PsychoPy

Hi everybody,
I have to record the response in my experiment, hence I need to use the microphone. So I add the microphone response to the routine but Psychopy tell me that there’s another error. Can you help me? Because I don’t know if I have to make a folder for the recording or anything else. This is the feedback:

Welcome to PsychoPy3!
v2020.1.1
2793.6452 WARNING IPython failed as shell, using pyshell (IPython v0.12 can fail on wx)
3036.9535 INFO Loaded monitor calibration from [‘2020_03_04 13:00’]
Generating PsychoPy script…

Running: /Users/giuliasfriso/Desktop/pyschopy/experiment_lastrun.py

2020-03-15 16:38:32.613 python[17373:194609] ApplePersistenceIgnoreState: Existing state will not be touched. New state will be written to (null)
Traceback (most recent call last):
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/sound/backend_pyo.py”, line 25, in
import pyo
File “pyo/ init .pyc”, line 28, in
File “pyo/lib/analysis.pyc”, line 32, in
File “pyo/lib/_core.pyc”, line 58, in
File “pyo/_pyo.pyc”, line 14, in
File “pyo/_pyo.pyc”, line 10, in __load
File “imp.pyc”, line 342, in load_dynamic
ImportError: dlopen(/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/lib-dynload/pyo/_pyo.so, 2): Library not loaded: @loader_path/libportaudio.2.dylib
Referenced from: /Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/lib-dynload/pyo/_pyo.so
Reason: image not found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/giuliasfriso/Desktop/pyschopy/experiment_lastrun.py”, line 18, in
from psychopy import sound, gui, visual, core, data, event, logging, clock, microphone
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/microphone.py”, line 45, in
from psychopy.sound import backend_pyo
File “/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/psychopy/sound/backend_pyo.py”, line 29, in
raise exceptions.DependencyError(repr(err))
psychopy.exceptions.DependencyError: ImportError(‘dlopen(/Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/lib-dynload/pyo/_pyo.so, 2): Library not loaded: @loader_path/libportaudio.2.dylib\n Referenced from: /Applications/PsychoPy3.app/Contents/Resources/lib/python3.6/lib-dynload/pyo/_pyo.so\n Reason: image not found’,)

Experiment ended.

Can anyone help me?

Thank you :smiley:

Hi Giulia,

You don’t have to create a folder for the recordings to be stored; they are stored in the /data/ folder.

The error message seems to be related to the image component and not to the mic. Maybe there is an error in calling the image file. I’d suggest that you check whether you have defined the image file correctly.
As the mic component and image component are in the same routine, and mic component comes only after the image, any error in calling image stops the routine right there. Hence the error message that you have gotten.

-Pratik